EDIT - task #6557

Import Bogota data
04/04/2017 11:00 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 80%
Category: data Estimated time: 40:00 hours
Target version:

Severity: major

Description

Import checklist and later import specimen data
Open issues:

. . .
. sasl & .Ia ARy -Rames

mprove-secreference

hometypische-Gruppen => #6576

Autonyme und ahnliche "None" hames => decision by users if further automization necessary
line no in original source

e o o o

Related issues:

Related to EDIT - task #6137: Urgent imports In Progress
Related to EDIT - feature request #6576: Implement operation that guesses all... Closed
Related to EDIT - feature request #6577: Make sp. nov. parsable Closed
Related to EDIT - bug #6578: Implement name cache for hybrid formulas Resolved
Related to EDIT - task #6606: Import Bogota specimen data Closed

Associated revisions

Revision 164a7e77 - 04/22/2017 12:07 AM - Andreas Miiller
ref #6557 first bogotaChecklist import version

Revision 4cd47320 - 04/22/2017 03:40 PM - Andreas Miiller

fix #6557 implement basionym relation creator

Revision eaa75811 - 04/22/2017 03:42 PM - Andreas Miiller
ref #6557 improvement to bogotaChecklist import

Revision 628a15da - 04/23/2017 12:41 PM - Andreas Miiller
ref #6557 add name deduplication do ImportDeduplicationHelper

Revision 73¢36574 - 04/23/2017 12:43 PM - Andreas Miiller

ref #6557 add name deduplication to Bogota import and improved source handling

Revision f7802e94 - 04/25/2017 02:22 PM - Andreas Miiller
fix #6557 final import for flora bogota checklist

History

#1 - 04/22/2017 12:08 AM - Andreas Miiller
- Related to task #6137: Urgent imports added

#2 - 04/22/2017 12:09 AM - Andreas Miiller

- Description updated
https://dev.e-taxonomy.eu/redmine/issues/6576
https://dev.e-taxonomy.eu/redmine/issues/6578

#3 - 04/22/2017 12:09 AM - Andreas Miiller
- % Done changed from 0 to 30

#4 - 04/22/2017 12:09 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#5 - 04/22/2017 12:10 AM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.7

#6 - 04/22/2017 12:27 AM - Andreas Miiller

- Description updated

#7 - 04/22/2017 12:29 AM - Andreas Miiller

- Description updated

#8 - 04/22/2017 12:31 AM - Andreas Miiller

- Description updated

#9 - 04/22/2017 12:35 AM - Andreas Miiller

- Description updated

#10 - 04/22/2017 11:23 AM - Andreas Muller

- Description updated

#11 - 04/22/2017 03:32 PM - Andreas Miiller

- Related to feature request #6576: Implement operation that guesses all basionyms for a syonymy added

#12 - 04/22/2017 03:40 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 30 to 50

Applied in changeset cdmlib|4cd473206ecc56a523020c28166¢c0750afc14841.

#13 - 04/22/2017 03:44 PM - Andreas Miiller
- Description updated

- % Done changed from 50 to 30

#14 - 04/22/2017 06:45 PM - Andreas Miiller

- Description updated

Name.titleCache duplicates:

SELECT titleCache, count (*) as n
FROM TaxonNameBase

GROUP BY titleCache

Having n > 1

some are hybrid parents, some are duplicates (synonyms + accepted infraspecific)

#15 - 04/22/2017 07:04 PM - Andreas Miiller

Homonyme and similar:

SELECT tnb.titleCache, tnb.nameCache
FROM TaxonNameBase tnb INNER JOIN

(SELECT nameCache

FROM TaxonNameBase

GROUP BY nameCache

Having count (*) > 1
) as drv ON tnb.nameCache = drv.nameCache
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/4cd473206ecc56a523020c28166c0750afc1484f

ORDER BY tnb.nameCache, tnb.titleCache

#16 - 04/22/2017 07:22 PM - Andreas Miiller
- Related to feature request #6577: Make sp. nov. parsable added

#17 - 04/23/2017 01:18 AM - Andreas Miiller
- Related to bug #6578: Implement name cache for hybrid formulas added

#18 - 04/23/2017 01:23 AM - Andreas Miiller
- Description updated

#19 - 04/25/2017 02:22 PM - Andreas Miiller
- % Done changed from 30 to 50

Applied in changeset cdmlib-apps|f7802e9485fc42cad716224ffc524e5022effa4f.

#20 - 04/29/2017 12:13 AM - Andreas Miiller
- Related to task #6606: Import Bogota specimen data added

#21 - 04/29/2017 12:16 AM - Andreas Muller

- % Done changed from 50 to 80

Created new ticket for specimen data #6606.

Still need to add logfile mail to Grischa and then can close this ticket.

#22 - 05/04/2017 12:26 AM - Andreas Miiller
- File Bogota Import.msg added

#23 - 05/04/2017 12:27 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Target version deleted (Release 4.7)

Files
Bogota Import.msg 82.5 KB 05/03/2017 Andreas Mller
